List the lots in an auction
In lot-number order, then by name. Needs read on Fundraising.
GET
https://{organization}.rescueconsole.com
/
api
/
fundraising
/
auctions
/
{id}
/
items
List the lots in an auction
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"name": "<string>",
"lot_number": "<string>",
"description": "<string>",
"category": "<string>",
"starting_bid_cents": 123,
"bid_increment_cents": 123,
"fair_market_value_cents": 123,
"donor_person_id": "<string>",
"donor_credit": "<string>",
"photo_file_ids": [
"<string>"
],
"status": "available",
"buy_now_cents": 123,
"quantity": 123,
"reserve_cents": 123,
"closes_at": "<string>",
"fulfillment": "pickup",
"id": "<string>",
"auction_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"current_bid_cents": 123,
"leading_bidder_id": "<string>",
"bid_count": 123,
"winner_bidder_id": "<string>",
"winning_bid_cents": 123,
"closed_at": "<string>",
"paid_at": "<string>",
"collected_at": "<string>",
"quantity_sold": 123,
"quantity_left": 123,
"reserve_met": true,
"reserve_not_met": true,
"extended_until": "<string>",
"bought_from_item_id": "<string>",
"bought_quantity": 123,
"bought_now_at": "<string>",
"ready_at": "<string>",
"shipped_at": "<string>",
"tracking": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Query Parameters
⌘I
List the lots in an auction
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"name": "<string>",
"lot_number": "<string>",
"description": "<string>",
"category": "<string>",
"starting_bid_cents": 123,
"bid_increment_cents": 123,
"fair_market_value_cents": 123,
"donor_person_id": "<string>",
"donor_credit": "<string>",
"photo_file_ids": [
"<string>"
],
"status": "available",
"buy_now_cents": 123,
"quantity": 123,
"reserve_cents": 123,
"closes_at": "<string>",
"fulfillment": "pickup",
"id": "<string>",
"auction_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"current_bid_cents": 123,
"leading_bidder_id": "<string>",
"bid_count": 123,
"winner_bidder_id": "<string>",
"winning_bid_cents": 123,
"closed_at": "<string>",
"paid_at": "<string>",
"collected_at": "<string>",
"quantity_sold": 123,
"quantity_left": 123,
"reserve_met": true,
"reserve_not_met": true,
"extended_until": "<string>",
"bought_from_item_id": "<string>",
"bought_quantity": 123,
"bought_now_at": "<string>",
"ready_at": "<string>",
"shipped_at": "<string>",
"tracking": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
